"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const connect = async (pool, {
  RDSDataService,
  escapeId,
  escape,
  fullJitter,
  randRange,
  executeStatement,
  coercer
}) => {
  const _pool$config = pool.config,
        {
    dbClusterOrInstanceArn,
    awsSecretStoreArn,
    tableName,
    databaseName
  } = _pool$config,
        config = _objectWithoutProperties(_pool$config, ["dbClusterOrInstanceArn", "awsSecretStoreArn", "tableName", "databaseName"]);

  const rdsDataService = new RDSDataService(config);
  Object.assign(pool, {
    rdsDataService,
    dbClusterOrInstanceArn,
    awsSecretStoreArn,
    tableName,
    databaseName,
    fullJitter,
    randRange,
    coercer,
    executeStatement: executeStatement.bind(null, pool),
    escapeId,
    escape
  });
};

var _default = connect;
exports.default = _default;
//# sourceMappingURL=connect.js.map