"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const drop = async ({
  databaseName,
  tableName,
  executeStatement,
  escapeId
}) => {
  await executeStatement([`DROP TABLE ${escapeId(databaseName)}.${escapeId(tableName)}; `, `DROP TABLE IF EXISTS ${escapeId(databaseName)}.${escapeId(`${tableName}-freeze`)}; `].join(''));
};

var _default = drop;
exports.default = _default;
//# sourceMappingURL=drop.js.map